msgbox.css 2.4 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151
  1. #message-box {
  2. top: 0;
  3. left: 0;
  4. right: 0;
  5. bottom: 0;
  6. display: flex;
  7. position: fixed;
  8. background-color: rgba(0, 0, 0, 0.45);
  9. animation: fadein .25s ease-in-out;
  10. z-index: 9999990;
  11. -moz-user-select: none;
  12. }
  13. #message-box > div {
  14. top: 3rem;
  15. right: 3rem;
  16. min-width: 10rem;
  17. max-width: 50vw;
  18. min-height: 5rem;
  19. max-height: 90vh;
  20. position: fixed;
  21. display: flex;
  22. flex-direction: column;
  23. background-color: white;
  24. box-shadow: 5px 5px 50px rgba(0, 0, 0, 0.225);
  25. z-index: 9999991;
  26. -moz-user-select: text;
  27. }
  28. #message-box.fadeout {
  29. animation: fadeout .5s ease-in-out;
  30. }
  31. #message-box.center {
  32. align-items: center;
  33. justify-content: center;
  34. }
  35. #message-box.center #message-box-contents {
  36. text-align: center;
  37. }
  38. #message-box.center #message-box-contents pre {
  39. text-align: left;
  40. }
  41. #message-box.center > div {
  42. top: unset;
  43. right: unset;
  44. }
  45. #message-box.pre #message-box-contents {
  46. white-space: pre-line;
  47. }
  48. #message-box-title {
  49. font-weight: bold;
  50. background-color: rgb(145, 208, 198);
  51. padding: .75rem 24px .75rem 52px;
  52. font-size: 1rem;
  53. position: relative;
  54. min-height: 42px;
  55. box-sizing: border-box;
  56. }
  57. #message-box-title::before {
  58. content: "";
  59. width: 0;
  60. height: 0;
  61. padding: 0 32px 32px 0;
  62. background: url(/images/icon/32.png);
  63. position: absolute;
  64. left: .5rem;
  65. top: 0;
  66. bottom: 0;
  67. margin: auto;
  68. }
  69. #message-box.danger #message-box-title {
  70. background-color: firebrick;
  71. color: white;
  72. }
  73. #message-box.danger #message-box-title::before {
  74. background: url('/images/icon/32x.png');
  75. }
  76. #message-box.danger #message-box-contents {
  77. font-weight: bold;
  78. }
  79. #message-box.danger #message-box-close-icon svg {
  80. fill: maroon;
  81. }
  82. #message-box.danger #message-box-close-icon svg:hover {
  83. fill: #600;
  84. }
  85. #message-box-close-icon {
  86. cursor: pointer;
  87. position: absolute;
  88. right: 3px;
  89. top: 4px;
  90. }
  91. #message-box-close-icon svg {
  92. width: 16px;
  93. height: 16px;
  94. }
  95. #message-box-contents {
  96. overflow: auto;
  97. padding: 1.5rem .75rem;
  98. position: relative;
  99. flex-grow: 9;
  100. overflow-wrap: break-word;
  101. }
  102. #message-box-buttons {
  103. padding: .75rem .375rem;
  104. background-color: #f0f0f0;
  105. text-align: center;
  106. }
  107. .non-windows #message-box-buttons {
  108. text-align: right;
  109. direction: rtl;
  110. }
  111. #message-box-buttons button {
  112. margin: 0 .375rem;
  113. }
  114. @keyframes fadein {
  115. from {
  116. opacity: 0;
  117. }
  118. to {
  119. opacity: 1;
  120. }
  121. }
  122. @keyframes fadeout {
  123. from {
  124. opacity: 1;
  125. }
  126. to {
  127. opacity: 0;
  128. }
  129. }